Interface DaprEndpointBuilderFactory.DaprEndpointProducerBuilder
- All Superinterfaces:
org.apache.camel.builder.EndpointProducerBuilder,org.apache.camel.EndpointProducerResolver
- All Known Subinterfaces:
DaprEndpointBuilderFactory.DaprEndpointBuilder
- Enclosing interface:
DaprEndpointBuilderFactory
public static interface DaprEndpointBuilderFactory.DaprEndpointProducerBuilder
extends org.apache.camel.builder.EndpointProducerBuilder
Builder for endpoint producers for the Dapr component.
-
Method Summary
Modifier and TypeMethodDescriptionadvanced()bindingName(String bindingName) The name of the Dapr binding to invoke.bindingOperation(String bindingOperation) The operation to perform on the binding.client(io.dapr.client.DaprClient client) The Dapr Client.The Dapr Client.concurrency(io.dapr.client.domain.StateOptions.Concurrency concurrency) Concurrency mode to use with state operations.concurrency(String concurrency) Concurrency mode to use with state operations.configKeys(String configKeys) List of keys for configuration operation.configStore(String configStore) The name of the Dapr configuration store to interact with, defined in statestore.yaml config.consistency(io.dapr.client.domain.StateOptions.Consistency consistency) Consistency level to use with state operations.consistency(String consistency) Consistency level to use with state operations.contentType(String contentType) The contentType for the Pub/Sub component to use.The eTag for optimistic concurrency during state save or delete operations.The name of the event.expiryInSeconds(Integer expiryInSeconds) The expiry time in seconds for the lock.expiryInSeconds(String expiryInSeconds) The expiry time in seconds for the lock.getWorkflowIO(boolean getWorkflowIO) Set true to fetch the workflow instance's inputs, outputs, and custom status, or false to omit.getWorkflowIO(String getWorkflowIO) Set true to fetch the workflow instance's inputs, outputs, and custom status, or false to omit.httpExtension(io.dapr.client.domain.HttpExtension httpExtension) HTTP method to use when invoking the service.httpExtension(String httpExtension) HTTP method to use when invoking the service.The key used to identify the state/secret object within the specified state/secret store.lockOperation(String lockOperation) The lock operation to perform on the store.lockOperation(org.apache.camel.component.dapr.LockOperation lockOperation) The lock operation to perform on the store.The lock owner identifier for the lock.methodToInvoke(String methodToInvoke) The name of the method or route to invoke on the target service.previewClient(io.dapr.client.DaprPreviewClient previewClient) The Dapr Preview Client.previewClient(String previewClient) The Dapr Preview Client.pubSubName(String pubSubName) The name of the Dapr Pub/Sub component to use.Reason for suspending/resuming the workflow instance.resourceId(String resourceId) The resource Id for the lock.secretStore(String secretStore) The name of the Dapr secret store to interact with, defined in local-secret-store.yaml config.serviceToInvoke(String serviceToInvoke) Target service to invoke.stateOperation(String stateOperation) The state operation to perform on the state store.stateOperation(org.apache.camel.component.dapr.StateOperation stateOperation) The state operation to perform on the state store.stateStore(String stateStore) The name of the Dapr state store to interact with, defined in statestore.yaml config.The lock store name.The amount of time to wait for the workflow instance to start/complete.The amount of time to wait for the workflow instance to start/complete.The name of the topic to subscribe to.The HTTP verb to use for invoking the method.workflowClass(String workflowClass) The FQCN of the class which implements io.dapr.workflows.Workflow.workflowClient(io.dapr.workflows.client.DaprWorkflowClient workflowClient) The Dapr Workflow Client.workflowClient(String workflowClient) The Dapr Workflow Client.workflowInstanceId(String workflowInstanceId) The instance ID of the workflow.workflowOperation(String workflowOperation) The workflow operation to perform.workflowOperation(org.apache.camel.component.dapr.WorkflowOperation workflowOperation) The workflow operation to perform.workflowStartTime(String workflowStartTime) The start time of the new workflow.workflowStartTime(Instant workflowStartTime) The start time of the new workflow.workflowVersion(String workflowVersion) The version of the workflow to start.Methods inherited from interface org.apache.camel.builder.EndpointProducerBuilder
doSetMultiValueProperties, doSetMultiValueProperty, doSetProperty, expr, getRawUriMethods inherited from interface org.apache.camel.EndpointProducerResolver
resolve, resolve
-
Method Details
-
advanced
-
client
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder client(io.dapr.client.DaprClient client) The Dapr Client. The option is a:io.dapr.client.DaprClienttype. Group: common- Parameters:
client- the value to set- Returns:
- the dsl builder
-
client
The Dapr Client. The option will be converted to aio.dapr.client.DaprClienttype. Group: common- Parameters:
client- the value to set- Returns:
- the dsl builder
-
configKeys
List of keys for configuration operation. The option is a:java.lang.Stringtype. Group: common- Parameters:
configKeys- the value to set- Returns:
- the dsl builder
-
configStore
The name of the Dapr configuration store to interact with, defined in statestore.yaml config. The option is a:java.lang.Stringtype. Group: common- Parameters:
configStore- the value to set- Returns:
- the dsl builder
-
contentType
The contentType for the Pub/Sub component to use. The option is a:java.lang.Stringtype. Group: common- Parameters:
contentType- the value to set- Returns:
- the dsl builder
-
previewClient
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder previewClient(io.dapr.client.DaprPreviewClient previewClient) The Dapr Preview Client. The option is a:io.dapr.client.DaprPreviewClienttype. Group: common- Parameters:
previewClient- the value to set- Returns:
- the dsl builder
-
previewClient
The Dapr Preview Client. The option will be converted to aio.dapr.client.DaprPreviewClienttype. Group: common- Parameters:
previewClient- the value to set- Returns:
- the dsl builder
-
pubSubName
The name of the Dapr Pub/Sub component to use. This identifies which underlying messaging system Dapr will interact with for publishing or subscribing to events. The option is a:java.lang.Stringtype. Group: common- Parameters:
pubSubName- the value to set- Returns:
- the dsl builder
-
topic
The name of the topic to subscribe to. The topic must exist in the Pub/Sub component configured under the given pubsubName. The option is a:java.lang.Stringtype. Group: common- Parameters:
topic- the value to set- Returns:
- the dsl builder
-
bindingName
The name of the Dapr binding to invoke. The option is a:java.lang.Stringtype. Group: producer- Parameters:
bindingName- the value to set- Returns:
- the dsl builder
-
bindingOperation
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder bindingOperation(String bindingOperation) The operation to perform on the binding. The option is a:java.lang.Stringtype. Group: producer- Parameters:
bindingOperation- the value to set- Returns:
- the dsl builder
-
concurrency
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder concurrency(io.dapr.client.domain.StateOptions.Concurrency concurrency) Concurrency mode to use with state operations. The option is a:io.dapr.client.domain.StateOptions.Concurrencytype. Group: producer- Parameters:
concurrency- the value to set- Returns:
- the dsl builder
-
concurrency
Concurrency mode to use with state operations. The option will be converted to aio.dapr.client.domain.StateOptions.Concurrencytype. Group: producer- Parameters:
concurrency- the value to set- Returns:
- the dsl builder
-
consistency
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder consistency(io.dapr.client.domain.StateOptions.Consistency consistency) Consistency level to use with state operations. The option is a:io.dapr.client.domain.StateOptions.Consistencytype. Group: producer- Parameters:
consistency- the value to set- Returns:
- the dsl builder
-
consistency
Consistency level to use with state operations. The option will be converted to aio.dapr.client.domain.StateOptions.Consistencytype. Group: producer- Parameters:
consistency- the value to set- Returns:
- the dsl builder
-
eTag
The eTag for optimistic concurrency during state save or delete operations. The option is a:java.lang.Stringtype. Group: producer- Parameters:
eTag- the value to set- Returns:
- the dsl builder
-
eventName
The name of the event. Event names are case-insensitive. The option is a:java.lang.Stringtype. Group: producer- Parameters:
eventName- the value to set- Returns:
- the dsl builder
-
expiryInSeconds
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder expiryInSeconds(Integer expiryInSeconds) The expiry time in seconds for the lock. The option is a:java.lang.Integertype. Group: producer- Parameters:
expiryInSeconds- the value to set- Returns:
- the dsl builder
-
expiryInSeconds
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder expiryInSeconds(String expiryInSeconds) The expiry time in seconds for the lock. The option will be converted to ajava.lang.Integertype. Group: producer- Parameters:
expiryInSeconds- the value to set- Returns:
- the dsl builder
-
getWorkflowIO
Set true to fetch the workflow instance's inputs, outputs, and custom status, or false to omit. The option is a:booleantype. Default: false Group: producer- Parameters:
getWorkflowIO- the value to set- Returns:
- the dsl builder
-
getWorkflowIO
Set true to fetch the workflow instance's inputs, outputs, and custom status, or false to omit. The option will be converted to abooleantype. Default: false Group: producer- Parameters:
getWorkflowIO- the value to set- Returns:
- the dsl builder
-
httpExtension
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder httpExtension(io.dapr.client.domain.HttpExtension httpExtension) HTTP method to use when invoking the service. Accepts verbs like GET, POST, PUT, DELETE, etc. Creates a minimal HttpExtension with no headers or query params. Takes precedence over verb. The option is a:io.dapr.client.domain.HttpExtensiontype. Group: producer- Parameters:
httpExtension- the value to set- Returns:
- the dsl builder
-
httpExtension
HTTP method to use when invoking the service. Accepts verbs like GET, POST, PUT, DELETE, etc. Creates a minimal HttpExtension with no headers or query params. Takes precedence over verb. The option will be converted to aio.dapr.client.domain.HttpExtensiontype. Group: producer- Parameters:
httpExtension- the value to set- Returns:
- the dsl builder
-
key
The key used to identify the state/secret object within the specified state/secret store. The option is a:java.lang.Stringtype. Group: producer- Parameters:
key- the value to set- Returns:
- the dsl builder
-
lockOperation
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder lockOperation(org.apache.camel.component.dapr.LockOperation lockOperation) The lock operation to perform on the store. Required for DaprOperation.lock operation. The option is a:org.apache.camel.component.dapr.LockOperationtype. Default: tryLock Group: producer- Parameters:
lockOperation- the value to set- Returns:
- the dsl builder
-
lockOperation
The lock operation to perform on the store. Required for DaprOperation.lock operation. The option will be converted to aorg.apache.camel.component.dapr.LockOperationtype. Default: tryLock Group: producer- Parameters:
lockOperation- the value to set- Returns:
- the dsl builder
-
lockOwner
The lock owner identifier for the lock. The option is a:java.lang.Stringtype. Group: producer- Parameters:
lockOwner- the value to set- Returns:
- the dsl builder
-
methodToInvoke
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder methodToInvoke(String methodToInvoke) The name of the method or route to invoke on the target service. The option is a:java.lang.Stringtype. Group: producer- Parameters:
methodToInvoke- the value to set- Returns:
- the dsl builder
-
reason
Reason for suspending/resuming the workflow instance. The option is a:java.lang.Stringtype. Group: producer- Parameters:
reason- the value to set- Returns:
- the dsl builder
-
resourceId
The resource Id for the lock. The option is a:java.lang.Stringtype. Group: producer- Parameters:
resourceId- the value to set- Returns:
- the dsl builder
-
secretStore
The name of the Dapr secret store to interact with, defined in local-secret-store.yaml config. The option is a:java.lang.Stringtype. Group: producer- Parameters:
secretStore- the value to set- Returns:
- the dsl builder
-
serviceToInvoke
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder serviceToInvoke(String serviceToInvoke) Target service to invoke. Can be a Dapr App ID, a named HTTPEndpoint, or a FQDN/public URL. The option is a:java.lang.Stringtype. Group: producer- Parameters:
serviceToInvoke- the value to set- Returns:
- the dsl builder
-
stateOperation
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder stateOperation(org.apache.camel.component.dapr.StateOperation stateOperation) The state operation to perform on the state store. Required for DaprOperation.state operation. The option is a:org.apache.camel.component.dapr.StateOperationtype. Default: get Group: producer- Parameters:
stateOperation- the value to set- Returns:
- the dsl builder
-
stateOperation
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder stateOperation(String stateOperation) The state operation to perform on the state store. Required for DaprOperation.state operation. The option will be converted to aorg.apache.camel.component.dapr.StateOperationtype. Default: get Group: producer- Parameters:
stateOperation- the value to set- Returns:
- the dsl builder
-
stateStore
The name of the Dapr state store to interact with, defined in statestore.yaml config. The option is a:java.lang.Stringtype. Group: producer- Parameters:
stateStore- the value to set- Returns:
- the dsl builder
-
storeName
The lock store name. The option is a:java.lang.Stringtype. Group: producer- Parameters:
storeName- the value to set- Returns:
- the dsl builder
-
timeout
The amount of time to wait for the workflow instance to start/complete. The option is a:java.time.Durationtype. Group: producer- Parameters:
timeout- the value to set- Returns:
- the dsl builder
-
timeout
The amount of time to wait for the workflow instance to start/complete. The option will be converted to ajava.time.Durationtype. Group: producer- Parameters:
timeout- the value to set- Returns:
- the dsl builder
-
verb
The HTTP verb to use for invoking the method. The option is a:java.lang.Stringtype. Default: POST Group: producer- Parameters:
verb- the value to set- Returns:
- the dsl builder
-
workflowClass
The FQCN of the class which implements io.dapr.workflows.Workflow. The option is a:java.lang.Stringtype. Group: producer- Parameters:
workflowClass- the value to set- Returns:
- the dsl builder
-
workflowClient
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder workflowClient(io.dapr.workflows.client.DaprWorkflowClient workflowClient) The Dapr Workflow Client. The option is a:io.dapr.workflows.client.DaprWorkflowClienttype. Group: producer- Parameters:
workflowClient- the value to set- Returns:
- the dsl builder
-
workflowClient
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder workflowClient(String workflowClient) The Dapr Workflow Client. The option will be converted to aio.dapr.workflows.client.DaprWorkflowClienttype. Group: producer- Parameters:
workflowClient- the value to set- Returns:
- the dsl builder
-
workflowInstanceId
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder workflowInstanceId(String workflowInstanceId) The instance ID of the workflow. The option is a:java.lang.Stringtype. Group: producer- Parameters:
workflowInstanceId- the value to set- Returns:
- the dsl builder
-
workflowOperation
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder workflowOperation(org.apache.camel.component.dapr.WorkflowOperation workflowOperation) The workflow operation to perform. Required for DaprOperation.workflow operation. The option is a:org.apache.camel.component.dapr.WorkflowOperationtype. Default: scheduleNew Group: producer- Parameters:
workflowOperation- the value to set- Returns:
- the dsl builder
-
workflowOperation
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder workflowOperation(String workflowOperation) The workflow operation to perform. Required for DaprOperation.workflow operation. The option will be converted to aorg.apache.camel.component.dapr.WorkflowOperationtype. Default: scheduleNew Group: producer- Parameters:
workflowOperation- the value to set- Returns:
- the dsl builder
-
workflowStartTime
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder workflowStartTime(Instant workflowStartTime) The start time of the new workflow. The option is a:java.time.Instanttype. Group: producer- Parameters:
workflowStartTime- the value to set- Returns:
- the dsl builder
-
workflowStartTime
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder workflowStartTime(String workflowStartTime) The start time of the new workflow. The option will be converted to ajava.time.Instanttype. Group: producer- Parameters:
workflowStartTime- the value to set- Returns:
- the dsl builder
-
workflowVersion
default DaprEndpointBuilderFactory.DaprEndpointProducerBuilder workflowVersion(String workflowVersion) The version of the workflow to start. The option is a:java.lang.Stringtype. Group: producer- Parameters:
workflowVersion- the value to set- Returns:
- the dsl builder
-